GWT 2.7.0

## com.google.gwt.user.cellview.client
Interface CellTree.Style

All Superinterfaces:
  CssResource, CssResourceBase, ResourcePrototype

All Known Subinterfaces:
  CellTree.BasicStyle

Enclosing class:
  CellTree

    @CssResource.ImportedWithPrefix(value="gwt-CellTree")
    public static interface CellTree.Style

extends CssResource

Styles used by this widget.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.resources.client.CssResource
`CssResource.ClassName, CssResource.Import, CssResource.ImportedWithPrefix, CssResource.NotStrict, CssResource.Shared, CssResource.Strict`

Field Summary
`static java.lang.String` | `DEFAULT_CSS` The path to the default CSS styles used by this resource.

Method Summary
`java.lang.String` | `cellTreeEmptyMessage()` Applied to the empty message.
`java.lang.String` | `cellTreeItem()` Applied to tree items.
`java.lang.String` | `cellTreeItemImage()` Applied to open/close icon.
`java.lang.String` | `cellTreeItemImageValue()` Applied to the wrapper around the image and value.
`java.lang.String` | `cellTreeItemValue()` Applied to the value in an item.
`java.lang.String` | `cellTreeKeyboardSelectedItem()` Applied to the keyboard selected item.
`java.lang.String` | `cellTreeOpenItem()` Applied to open tree items.
`java.lang.String` | `cellTreeSelectedItem()` Applied to selected tree items.
`java.lang.String` | `cellTreeShowMoreButton()` Applied to the show more button.
`java.lang.String` | `cellTreeTopItem()` Applied to top level items.
`java.lang.String` | `cellTreeTopItemImage()` Applied to open/close icon at the top level.
`java.lang.String` | `cellTreeTopItemImageValue()` Applied to the wrapper around the image and value of top level items.
`java.lang.String` | `cellTreeWidget()` Applied to the widget.

Methods inherited from interface com.google.gwt.resources.client.CssResource
`ensureInjected, getText`

Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype
`getName`

Field Detail

### DEFAULT_CSS

    static final java.lang.String DEFAULT_CSS

  The path to the default CSS styles used by this resource.

  See Also:
    Constant Field Values

Method Detail

### cellTreeEmptyMessage

    java.lang.String cellTreeEmptyMessage()

  Applied to the empty message.

### cellTreeItem

    java.lang.String cellTreeItem()

  Applied to tree items.

### cellTreeItemImage

    java.lang.String cellTreeItemImage()

  Applied to open/close icon.

### cellTreeItemImageValue

    java.lang.String cellTreeItemImageValue()

  Applied to the wrapper around the image and value.

### cellTreeItemValue

    java.lang.String cellTreeItemValue()

  Applied to the value in an item.

### cellTreeKeyboardSelectedItem

    java.lang.String cellTreeKeyboardSelectedItem()

  Applied to the keyboard selected item.

### cellTreeOpenItem

    java.lang.String cellTreeOpenItem()

  Applied to open tree items.

### cellTreeSelectedItem

    java.lang.String cellTreeSelectedItem()

  Applied to selected tree items.

### cellTreeShowMoreButton

    java.lang.String cellTreeShowMoreButton()

  Applied to the show more button.

### cellTreeTopItem

    java.lang.String cellTreeTopItem()

  Applied to top level items.

### cellTreeTopItemImage

    java.lang.String cellTreeTopItemImage()

  Applied to open/close icon at the top level.

### cellTreeTopItemImageValue

    java.lang.String cellTreeTopItemImageValue()

  Applied to the wrapper around the image and value of top level items.

### cellTreeWidget

    java.lang.String cellTreeWidget()

  Applied to the widget.

GWT 2.7.0